<?php

namespace domain\Order\OrderStatusHistory;

use domain\_\AbstractSolver;
use domain\Order\OrderStatus\OrderStatusSolver;

class OrderStatusHistorySolver extends AbstractSolver
{
    protected OrderStatusSolver $orderStatusSolver;

    public function loadDependencies(): void
    {
        $this->orderStatusSolver = $this->loadService(OrderStatusSolver::class);
    }

    public function getOrderStatusHistoryLabel(OrderStatusHistory $orderStatusHistory): string
    {
        return $this->orderStatusSolver->getLabel($orderStatusHistory->getOrderStatusAlias());
    }
}